import { GdsElement } from '../../gds-element';
import { VER_SUFFIX } from '../helpers/custom-element-scoping';
/**
 * Registers transitional styles for all components.
 *
 * **Note:** If you are only using a few components, consider registering those
 * separately instead. That way, any unused styles can get tree shaken away.
 */
export declare const registerTransitionalStyles: () => void;
declare global {
    var __gdsTransitionalStyles: {
        [VER_SUFFIX]: TransitionalStyles;
    };
}
export declare class TransitionalStyles {
    #private;
    static get instance(): TransitionalStyles;
    apply(element: GdsElement, styleKey: string): void;
    applyToElement(styleKey: string, sheet: string): void;
    register(name: string, styles: string): void;
}
